Skip to content

Create a webhook

Request

Create a new webhook that fires on the specified event. Optionally add filters to narrow which contacts trigger the webhook.

Security
bearerAuth
Bodyapplication/jsonrequired
namestringrequired

Human-readable label.

Example:"New Reply Handler"
eventstringrequired

Event that triggers the webhook.

Sender-profile actions (something was sent): sender_profile_sent_email, sender_profile_sent_linkedin_message, sender_profile_sent_linkedin_connection_request, sender_profile_sent_linkedin_inmail.

Contact events: contact_accepted_linkedin_connection_request, contact_replied_email, contact_replied_linkedin_message, contact_replied_linkedin_inmail, contact_opened_email, contact_clicked_email, contact_unsubscribed_email, email_bounced, contact_enriched, contact_exported, contact_created, contact_updated, contact_deleted, contact_tag_added, contact_pipeline_stage_changed.

See the webhook-payload schema for the body delivered to your target_url.

Enum:"sender_profile_sent_email""sender_profile_sent_linkedin_message""sender_profile_sent_linkedin_connection_request""sender_profile_sent_linkedin_inmail""contact_accepted_linkedin_connection_request""contact_replied_email""contact_replied_linkedin_message""contact_replied_linkedin_inmail""contact_opened_email""contact_clicked_email"
Example:"sender_profile_sent_email"
request_methodstring

HTTP method for the outgoing request.

Default:"POST"
Enum:"POST""GET""PUT""PATCH""DELETE"
Example:"POST"
target_urlstring, (uri)required

URL that will receive the webhook payload.

Example:"https://hook.eu2.make.com/abc123"
filtersobject or null

Optional filter object to narrow which contacts trigger the webhook. Uses a tree-based filter format with jsonLogic and filter_tree_format keys.

statusstring
Default:"on"
Enum:"on""off"
POST
/integrations/api/webhooks
curl -i -X POST \
  https://leadgen.grinfi.io/integrations/api/webhooks \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "New Reply Handler",
    "event": "contact_replied_linkedin_message",
    "request_method": "POST",
    "target_url": "https://hook.eu2.make.com/abc123",
    "status": "on"
  }'

Responses

Webhook created.

Bodyapplication/json
uuidstring
Example:"b27f3cfc-84a0-4fb8-956b-91d032f9c523"
team_idinteger
user_idinteger
namestring
Example:"New Reply Handler"
eventstring

Event that triggers the webhook. Supported events: contact_replied_email, contact_replied_linkedin_message, contact_exported, contact_enriched.

Enum:"contact_replied_email""contact_replied_linkedin_message""contact_exported""contact_enriched"
Example:"contact_replied_linkedin_message"
request_methodstring

HTTP method for the outgoing request.

Example:"POST"
target_urlstring, (uri)
Example:"https://hook.eu2.make.com/abc123"
filtersobject or null

Optional filter criteria to narrow which contacts trigger the webhook. Uses jsonLogic, elasticQuery, and filter_tree_format keys.

statusstring

Webhook status.

Enum:"on""off"
Example:"on"
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "b27f3cfc-84a0-4fb8-956b-91d032f9c523", "team_id": 0, "user_id": 0, "name": "New Reply Handler", "event": "contact_replied_linkedin_message", "request_method": "POST", "target_url": "https://hook.eu2.make.com/abc123", "filters": {}, "status": "on", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }

Callbacks

Event delivery to your target_url
post